Skip to main content
Other

List currently held record locks

Get record locks currently held for the specified table name and unique id.

GET
/gb/locks/{table_name}/{unique_id}

This method requires the Locks:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_namestringrequired

Table name

Maximum string length: 64
Pattern: ^[a-z0-9\_]+$
unique_idstringrequired

Unique Id to check for locks on

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]
Maximum array length: 100